#
# spec file for package votca-xtp
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name: libxc
Summary: Library of exchange and correlation functionals to be used in DFT codes
Version: 4.2.3
%define sover 5
Release: 1.1
License: MPL-2.0
Group: Productivity/Scientific/Physics
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Source: http://www.tddft.org/programs/octopus/down.php?file=%{name}/%{version}/%{name}-%{version}.tar.gz
URL: http://www.tddft.org/programs/libxc/

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  gcc-fortran
BuildRequires:  libtool
BuildRequires:  pkg-config


%description 
Libxc is a library of exchange and correlation functionals. Its
purpose is to be used in codes that implement density-functional
theory. The library includes most of the local density
approximations (LDAs), generalized density approximation (GGAs), and
meta-GGAs. The library provides values for the energy density and its
1st, 2nd, and (for the LDAs) 3rd derivatives.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries/Other
Requires:       libxc%sover = %{version}

%description devel
Libxc is a library of exchange and correlation functionals. Its
purpose is to be used in codes that implement density-functional
theory. The library includes most of the local density
approximations (LDAs), generalized density approximation (GGAs), and
meta-GGAs. The library provides values for the energy density and its
1st, 2nd, and (for the LDAs) 3rd derivatives.

This package contains development headers and libraries for libxc.

%package -n libxc%sover
Summary:        Library of exchange and correlation functionals to be used in DFT codes
Group:          System/Libraries

%description -n libxc%sover
Libxc is a library of exchange and correlation functionals. Its
purpose is to be used in codes that implement density-functional
theory. The library includes most of the local density
approximations (LDAs), generalized density approximation (GGAs), and
meta-GGAs. The library provides values for the energy density and its
1st, 2nd, and (for the LDAs) 3rd derivatives.

This package contains the library of libxc.

%prep
%setup -q

%build
%configure \
   --disable-static \
   --enable-shared
%make_build

%install
%make_install
rm %{buildroot}%{_libdir}/*.la

%post -n libxc%sover -p /sbin/ldconfig
%postun -n libxc%sover -p /sbin/ldconfig

%files -n libxc%sover
%doc README NEWS AUTHORS ChangeLog
%license COPYING
%{_bindir}/xc-info
%{_bindir}/xc-threshold
%{_libdir}/*.so.%{sover}*

%files devel
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%changelog
* Tue Jan  1 2019 Jan Engelhardt <jengelh@inai.de>
- Trim time-sensitive wording from description.
* Sun Dec 30 2018 Christoph Junghans <junghans@votca.org>
- Update to 4.2.3
  * timeout when generating the xc_func.h file with CMake.
- Major spec file cleanup
* Sun Jun 17 2018 rwarmbier@uj.ac.za
- Update to 4.2.1
  * Many changes (see http://www.tddft.org/programs/libxc/changes/) , f.e.:
  * License from LGPL to the Mozilla Public License 2 (MPL2).
  * CPP for Fortran sources macro, so that cpp -C -freestanding is used instead of cpp -ansi.
* Wed Mar 14 2018 robert.warmbier@wits.ac.za
- Update to 4.0.4
  * Fixed:
  * Incorrect XC_CORRELATION flag in the XC_LDA_K_ZLP, XC_LDA_X_RAE, and XC_GGA_XC_HLE16 functionals.
  * Incorrect XC_EXCHANGE flag in the XC_GGA_C_SG4, XC_GGA_C_PBE_MOL, and XC_GGA_C_TM_PBE functionals.
  * Incorrect XC_EXCHANGE_CORRELATION flag in the XC_MGGA_C_SCAN_RVV10 functional.
  * Incorrect XC_FAMILY_MGGA family in the HYB_MGGA_XC_B0KCIS functional.
* Wed Nov 22 2017 robert.warmbier@wits.ac.za
- Update to 4.0.3
  * Fixed: Generation of libxc_docs.txt file.
  * Added: Missing C to Fortran interface for xc_f90_nlc_coef.
* Wed Nov  8 2017 robert.warmbier@wits.ac.za
- Update to 4.0.2
  * See https://gitlab.com/libxc/libxc/wikis/Libxc-changes for details
  * There are a few incompatible changes, be careful
* Tue Nov  7 2017 robert.warmbier@wits.ac.za
- Update to 3.0.0
  * See https://gitlab.com/libxc/libxc/wikis/Libxc-changes for details
  * Added
  * Micro version number to version function and version header file.
  * Version_string function, which returns the version number in the following format: major.minor.micro
  * Fortran 2003 interface using the iso_c_bindings module.
* Thu Jul 21 2016 robert.warmbier@wits.ac.za
- Update to 2.2.3
  * Fixed bugs in the following functionals:
  * GGA: X_N12, C_N12, C_N12_SX, all the X_HJS_*, X_VMT84_GE
  * HYB_GGA: X_N12_SX, all the XC_HJS_*, XC_O3LYP, XC_X3LYP
  * GGA (second order derivatives only): X_B88, X_OPTB88_VDW, X_MB88, K_LLP, K_FR_B88, K_THAKKAR
  * Fixed build with gcc 6.
* Tue Nov 24 2015 robert.warmbier@wits.ac.za
- First submit using 2.2.2
